Bug 17646 - Remove itemtype-related IssueSlip.t warnings
Summary: Remove itemtype-related IssueSlip.t warnings
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Tomás Cohen Arazi
QA Contact: Martin Renvoize
URL:
Whiteboard:
Keywords:
Depends on: 14598
Blocks:
  Show dependency treegraph
 
Reported: 2016-11-16 13:57 UTC by Tomás Cohen Arazi
Modified: 2017-06-14 22:18 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 17646: Remove itemtype-related IssueSlip.t warnings (3.85 KB, patch)
2016-11-16 14:04 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
[SIGNED-OFF]Bug 17646: Remove itemtype-related IssueSlip.t warnings (3.94 KB, patch)
2016-11-16 15:42 UTC, Héctor Eduardo Castro Avalos
Details | Diff | Splinter Review
[PASSED QA] Bug 17646: Remove itemtype-related IssueSlip.t warnings (4.01 KB, patch)
2016-11-17 09:25 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tomás Cohen Arazi 2016-11-16 13:57:04 UTC

    
Comment 1 Tomás Cohen Arazi 2016-11-16 14:04:09 UTC
Created attachment 57546 [details] [review]
Bug 17646: Remove itemtype-related IssueSlip.t warnings

This patch makes t/db_dependent/Members/IssueSlip.t create
good sample data for its tests. It does so by creating a random
itemtype.

To test:
- Run
  $ prove t/db_dependent/Members/IssueSlip.t
=> FAIL: lots of warnings about "item-level_itypes set but no itemtype
set for item"
- Apply the patch
- Run:
  $ prove t/db_dependent/Members/IssueSlip.t
=> SUCCESS: Tests are green, and no warnings.
- Sign off :-D

Sponsored-by: ByWater Solutions
Comment 2 Héctor Eduardo Castro Avalos 2016-11-16 15:42:50 UTC
Created attachment 57553 [details] [review]
[SIGNED-OFF]Bug 17646: Remove itemtype-related IssueSlip.t warnings

This patch makes t/db_dependent/Members/IssueSlip.t create
good sample data for its tests. It does so by creating a random
itemtype.

To test:
- Run
  $ prove t/db_dependent/Members/IssueSlip.t
=> FAIL: lots of warnings about "item-level_itypes set but no itemtype
set for item"
- Apply the patch
- Run:
  $ prove t/db_dependent/Members/IssueSlip.t
=> SUCCESS: Tests are green, and no warnings.
- Sign off :-D

Sponsored-by: ByWater Solutions
Signed-off-by: Hector Castro <hector.hecaxmmx@gmail.com>
All test pass successfuly
Comment 3 Martin Renvoize 2016-11-17 09:25:33 UTC
Created attachment 57592 [details] [review]
[PASSED QA] Bug 17646: Remove itemtype-related IssueSlip.t warnings

This patch makes t/db_dependent/Members/IssueSlip.t create
good sample data for its tests. It does so by creating a random
itemtype.

To test:
- Run
  $ prove t/db_dependent/Members/IssueSlip.t
=> FAIL: lots of warnings about "item-level_itypes set but no itemtype
set for item"
- Apply the patch
- Run:
  $ prove t/db_dependent/Members/IssueSlip.t
=> SUCCESS: Tests are green, and no warnings.
- Sign off :-D

Sponsored-by: ByWater Solutions
Signed-off-by: Hector Castro <hector.hecaxmmx@gmail.com>
All test pass successfuly

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 4 Kyle M Hall 2016-11-17 11:06:42 UTC
Pushed to master for 16.11, thanks Tomas!
Comment 5 Mason James 2016-12-14 11:19:39 UTC
Pushed to 16.05.x, for 16.05.06 release